Public Member Functions
Directed Class Reference

## Detailed Description

An object representing the interest of a Camera or Light.

A Directed object cannot be created directly, it acts as a X3DObject class for Camera and Light objects.

Example:

            using namespace XSI;
            Application app;
            Model root = app.GetActiveSceneRoot();

            Light spot;
            root.AddLight( L"Spot", true, L"MySpotLight", spot );
            X3DObject interest = spot.GetInterest();
            app.LogMessage( CString(L"interest: ") + interest.GetName() );

            X3DObject myCone;
            root.AddGeometry( L"Cone", L"MeshSurface", L"", myCone );
            spot.PutInterest( myCone );
            interest = spot.GetInterest();
            app.LogMessage( L"interest: " + interest.GetName() );

`#include <xsi_directed.h>`

Inheritance diagram for Directed:
[legend]

List of all members.

## Public Member Functions
| Directed ()
| ~Directed ()
| Directed (const CRef &in_ref)
| Directed (const Directed &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
Directed & | operator= (const Directed &in_obj)
Directed & | operator= (const CRef &in_ref)
X3DObject | GetInterest () const
CStatus | PutInterest (const X3DObject &in_obj)

## Constructor & Destructor Documentation

Directed | ( |  | ) |

Default constructor.

~Directed | ( |  | ) |

Default destructor.

Directed | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

Directed | ( | const Directed & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const`[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from X3DObject.

Reimplemented in Camera, and Light.

siClassID GetClassID | ( |  | ) | const`[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from X3DObject.

Reimplemented in Camera, and Light.

Directed& operator= | ( | const Directed & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new Directed object.

Directed& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new Directed object.

Reimplemented from X3DObject.

Reimplemented in Camera, and Light.

X3DObject GetInterest | ( |  | ) | const

Returns the object's interest.

Returns:
  The new interest object.

Example:

             using namespace XSI;
             Application app;

             Model root = app.GetActiveSceneRoot();
             Light spot = root.AddLight( CString(L"Spot"), true, CString(L"MySpotLight");

             X3DObject interest = spot.GetInterest();
             app.LogMessage( CString(L"interest: ") + oInterest.Name() );

             X3DObject myCone = root.AddGeometry( CString(L"Cone"), CString(L"MeshSurface"),
             spot.PutInterest( myCone );

             interest = spot.GetInterest();
             app.LogMessage( CString(L"interest: ") + oInterest.Name() );

CStatus PutInterest | ( | const X3DObject & | in_obj | ) |

Sets the object's interest.

Parameters:

  in_obj | The new interest object

Returns:
  CStatus::OK Success
  CStatus::Fail Failure

The documentation for this class was generated from the following file:

- xsi_directed.h